open All Channels
seplocked Test Server Feedback
blankseplocked Only SM 3.0 Sucks Public Petition
 
This thread is older than 90 days and has been locked due to inactivity.


 
Pages: [1] 2 3 4

Author Topic

DMF KingBob
Posted - 2007.11.28 12:47:00 - [1]
 

DX9>Direct3D9 means Shadermodel 2.0,2.0a,2.0b too
and not the Shadermodel 3.0 only

@CCP thx for this hot Trailer
but what i see on my Radeon X800XL (SM2.0b)(Dx9 Grafkcard)i nothing of your holy trinity rebirth

dont call this upgrad DX9 upgrade
call it DX9c only
or DX9c-without-DX9,DX9a-and-DX9b-support-Upgrade

all of this is yours...lol






CCP Wrangler

Posted - 2007.11.28 12:50:00 - [2]
 

The Premium Graphics Content requires DX9c, yes.

DMF KingBob
Posted - 2007.11.28 13:05:00 - [3]
 

may should delete the trininty Trailer from my desktop to stop thinking about

and keep watching by the Revelation 2 Trailer

or does CCP make an Trinity Classic Trailer for me and the other non-SM3 Dx9 Grafikcard users ?

Juha85
Free Lapland
The Kadeshi
Posted - 2007.11.28 13:07:00 - [4]
 

Originally by: DMF KingBob
may should delete the trininty Trailer from my desktop to stop thinking about

and keep watching by the Revelation 2 Trailer

or does CCP make an Trinity Classic Trailer for me and the other non-SM3 Dx9 Grafikcard users ?


So because your graphic card is from the stone age every other Eve-player should suffer from this and not get upgraded graphics?

Eleana Tomelac
Gallente
Eclats de verre
Posted - 2007.11.28 13:11:00 - [5]
 

Before CCP spoke of their new trinity engine, I never heard of a game company maintaining two 3d engines for the same game.
Usually, it's no game if you have old computer and that's all.

Here CCP is a step forward having now both a client for old computers and a client for shiny newer computers. Just be happy, you can play as before.

DMF KingBob
Posted - 2007.11.28 13:28:00 - [6]
 

Edited by: DMF KingBob on 28/11/2007 13:28:12
Bumpmapping is able on SM2
Dynamic Higher Resulution Shadows are able on SM2
Bloomeffect is able on SM2
Higher Polygon Models are able on SM2
Higher Resolution Texture is able on SM2

the only think is HDRR but it is able to use Bloom istead

i do not understand this

Thuvia Carter
Posted - 2007.11.28 13:33:00 - [7]
 

Originally by: Eleana Tomelac
Before CCP spoke of their new trinity engine, I never heard of a game company maintaining two 3d engines for the same game.
Usually, it's no game if you have old computer and that's all.

Here CCP is a step forward having now both a client for old computers and a client for shiny newer computers. Just be happy, you can play as before.


To clarify a little: There are not two 3d engines for the same game. Both 'versions' will use the same upgraded Trinity 2 engine. The only difference between Eve Classic and the 'upgraded' version is the textures and models used.

And if you wan't to really get down to it, there won't be two different 'clients' either. Both start off with the Eve Classic client, and then have the option to download the additional textures and models.

Do you remember back in the day of the original Half Life, when HL: Blue Shift was released it was included the 'High Definition Pack' with an update to the original HL and OpFor of new better models and textures? Think of it the same way.

Eleana Tomelac
Gallente
Eclats de verre
Posted - 2007.11.28 13:35:00 - [8]
 

Do you know all the things the graphic engine can do? No, me neither.
It may have yet unused features that they will use in the future but had already enough to do with the things they changed now.

So, don't say 'it can work on SM2 fine', we don't know.
They designed it like this, if you can do better, just show us the graphic engines you worked in.

And... You can still play.

Hellcore
Minmatar
Reikoku
Cascade Imminent
Posted - 2007.11.28 13:48:00 - [9]
 

The problem is more likely to be that using SM2.0 would require much more simplified shaders due to the 96 instruction limit? Yes this can be worked around by using multiple passes but what is the point if it makes it run like treacle?

MalVortex
Applied Agoraphobia
Posted - 2007.11.28 13:54:00 - [10]
 

You really have no idea what your talking about. DX9 and SM3.0 offer not only numerous additional rendering abilities but also greater efficiency. They are industry standard, and have been for the past two generations. EVE is joining modern times. Deal with it.

KingBobs Dawn
Posted - 2007.11.28 13:56:00 - [11]
 

i know that it is easyer to program Shaders with SM3
but i hoped still that ccp not goes the easy way and think about grafikcards like my

the step forwards seen like stupit ignoring a jump over the things between Dx8 and Dx9c and this is much
much goodlooking things...

Bimjo
Caldari
Caldari Provisions
Posted - 2007.11.28 13:56:00 - [12]
 

/not signed , don't see why 99% of EVE players should be held back by the few not willing to invest 25 (yes, only 25) in a new graphics card ?

look here and buy , http://www.dabs.com/productlist.aspx?&CategorySelectedId=11137&NavigationKey=11137&PageMode=1&PageOffset=0&RecordOffset=0#Paging

Ulstan
Posted - 2007.11.28 14:05:00 - [13]
 

I didn't know any gamers didn't have directx 9c yet. Get with the times! I think every game I've bought this year has required it, and video cards are cheaper and more powerful than ever.

Riho
Gallente
Drop of Blood
Posted - 2007.11.28 14:14:00 - [14]
 

Originally by: DMF KingBob
DX9>Direct3D9 means Shadermodel 2.0,2.0a,2.0b too
and not the Shadermodel 3.0 only

@CCP thx for this hot Trailer
but what i see on my Radeon X800XL (SM2.0b)(Dx9 Grafkcard)i nothing of your holy trinity rebirth

dont call this upgrad DX9 upgrade
call it DX9c only
or DX9c-without-DX9,DX9a-and-DX9b-support-Upgrade

all of this is yours...lol








there are some really cheap shader 3 cards out there.. unless your broke as hell or too young to make money for your self.

i had x800pro before my new pc and card.. it ran everything fine... but i wanted shader 3 :) so got myself a 8800gts. not the cheapest of things.. but when i buy a pc i buy a pc that runs games maxed for years :D

DMF KingBob
Posted - 2007.11.28 14:25:00 - [15]
 

no not every
for bio shock exist a shader fix for SM2
Supreme Commander shows me a good Grafik
Call of Duty 4 too
Unreal Tournament 3 too
TES4 Oblivion too
Prey too
Crysis too!!!(yes i know the framerate is not the best)

failed SM2 support on a DX9 game seem for me as uncomplete or qualityfault

my grafikcard supports Dx9b this is really near to Dx9c but for ccp ist this the same like DX8

Ichi Chirotha
PPN Science Inc.
Posted - 2007.11.28 14:26:00 - [16]
 

Originally by: Juha85
Originally by: DMF KingBob
may should delete the trininty Trailer from my desktop to stop thinking about

and keep watching by the Revelation 2 Trailer

or does CCP make an Trinity Classic Trailer for me and the other non-SM3 Dx9 Grafikcard users ?


So because your graphic card is from the stone age every other Eve-player should suffer from this and not get upgraded graphics?


halt die Fresse noob? O_o

MalVortex
Applied Agoraphobia
Posted - 2007.11.28 14:31:00 - [17]
 

Edited by: MalVortex on 28/11/2007 14:35:28
Edited, cause I'm tired:

Ok, I lied. X800s cant run DX9.0C. This doesn't surprise me though, as old ATI cards always have had terrible PS support, why not throw on DX functionality as well? Also, most of the games you listed likley wont run on that card at all. They all will require DX9.0C.

But seriously, stop whining. Even if the new engine with classic eve is no longer playable, a shiny new SM3.0 DX9C card can be had for dirt cheap prices.

Ulstan
Posted - 2007.11.28 14:33:00 - [18]
 

Quote:
no not every
...TES4 Oblivion too



http://www.oblivionportal.com/info/systemreq.php

Quote:
DirectX 9.0c (included)



Get a video card that supports 9.0c and stop whining. Oh and stop with the ridiculous 'grafik' nonsense.

CCP Explorer

Posted - 2007.11.28 14:37:00 - [19]
 

There is a really good reason for requiring SM 3 for the new Premium Graphics Content in EVE Online: Trinity. We use very complicated shaders in the new art content with much more instructions than SM 2 supports.

dor amwar
Sebiestor Tribe
Posted - 2007.11.28 14:38:00 - [20]
 

not really sure what is going on with my laptop (ya ya, i know) card. it's listed as mobility firegl v3200 and failed the test that was posted by the devs a bit ago. research and sure enough it only has sm 2.0. fine no prob. but when i start looking a little closer i notice a few things.

- dxdiag is showing directx 9.0c. afaik (probably wrong though) that only works on cards that are capable of sm 3.0
- all the research that i did shows it as a 128 MB pci card but the stats on the card is 256 MB pci. not an agp mismatch then.
- some of the bios and chip numbers look to be a revision higher as well.

probably just a ibm oem thing but not sure. any pros out there can clarify?

Anaalys Fluuterby
Caldari
Posted - 2007.11.28 14:40:00 - [21]
 

Originally by: Juha85

So because your graphic card is from the stone age every other Eve-player should suffer from this and not get upgraded graphics?

Or maybe because many of us play on laptops? Even the embedded Intel graphics chips that are shipping TODAY do not meet shader 3.0 standards ugh

I know, discreet video cards. But I had to use what work gives me.....

Sleepkevert
Amarr
Rionnag Alba
Triumvirate.
Posted - 2007.11.28 14:44:00 - [22]
 

Originally by: DMF KingBob
no not every
Originally by: DMF KingBob

for bio shock exist a shader fix for SM2
Yeah, go and hack EVE while your at it. The SM2 engine isn't supported in bioshock, so why should CCP do it when they are even giveing you a DX8 engine to play with...
Originally by: DMF KingBob

Supreme Commander shows me a good Grafics
=/ You'r telling me you can run supcom on high settings smoothly? No? Then stop whining about not being able to run EVE on high settings...
Originally by: DMF KingBob

Call of Duty 4 too
Again, not on high settings, just put it on low, just like you will do with EVE Wink
Originally by: DMF KingBob

Unreal Tournament 3 too
Same as above...
Originally by: DMF KingBob

TES4 Oblivion too
Low settings? amirite?
Originally by: DMF KingBob

Prey too
Prey is old...
Originally by: DMF KingBob

Crysis too!!!(yes i know the framerate is not the best)
Then be glad you get a decent framerate with EvE on low settings!
Originally by: DMF KingBob


failed SM2 support on a DX9 game seem for me as incomplete or (wierd spelled word)

my graficscard supports Dx9b this is really near to Dx9c but for ccp this is the same like DX8
Failed SM2 support? There isn't any support from starters, it's a SM3 engine, and it will stay that way... Also, nearly isn't good enough. It's there or it isn't...

Anaalys Fluuterby
Caldari
Posted - 2007.11.28 14:45:00 - [23]
 

Edited by: Anaalys Fluuterby on 28/11/2007 14:45:25
Originally by: dor amwar

- dxdiag is showing directx 9.0c. afaik (probably wrong though) that only works on cards that are capable of sm 3.0


DirectX 9.0c will run on a card like the Cirrus Logic 5446 that doesn't even have shader support. But you get no acceleration or the DirectX "features".
Quote:

- all the research that i did shows it as a 128 MB pci card but the stats on the card is 256 MB pci. not an agp mismatch then.


The card probably has 128 built on, with the option to use 128 of system memory. Unless you are running really high resolutions you will probably get a little better performance out of it if you restrict it to its base 128.
Quote:

- some of the bios and chip numbers look to be a revision higher as well.

probably just a ibm oem thing but not sure. any pros out there can clarify?

Funny thing about Thinkpads is that each sub-model (the -UHVH etc after the model number) can have greatly differing specs. A T60 isn't a T60, isn't a T60...

Orivanna
Posted - 2007.11.28 14:45:00 - [24]
 

Edited by: Orivanna on 28/11/2007 14:47:00
edit

MalVortex
Applied Agoraphobia
Posted - 2007.11.28 14:46:00 - [25]
 

My $350 HP laptop has an integrated 6200. It has SM3.0. Work laptops don't have dedicated GPUs... *bites tounge* you don't say?

And for the other poster, DX9.0C and SM3.0 Are *completely* different standards and do different things. A card can support DX9.0 and not have SM3.0 support (many older ATI cards are notorious for this)

DMF KingBob
Posted - 2007.11.28 14:53:00 - [26]
 

no i mean
oblivion shows me DX9b content for DX9b Grafikcard (allready fine)
or DX9c cantent for a DX9c Grafikcard
EVE-Online Trinity shows me DX8 content for a Dx9-Dx9b Grafikcard
the Dx9-Dx9b content still not exist(thats what i mean with the easy way)

MalVortex
Applied Agoraphobia
Posted - 2007.11.28 14:55:00 - [27]
 

. . .

There is no such thing as DX9 or DX9B "content". There never was, there never will be. Go wikipedia Direct X. Or something. Just... stop.

Hectaire Glade
Forum Jockey
Posted - 2007.11.28 15:07:00 - [28]
 

/not signed, in the time it took you to type your whine, you could have earnt yourself the money needed to get a 9c card from the bargain bucket at Frys.

Hatch
Minmatar
4 Marketeers
Rura-Penthe
Posted - 2007.11.28 15:13:00 - [29]
 

so, do we need a straight install of SM3 or does the dx9c upgrade qualify. also, where do you find the sm version. I can't seem to locate it in dxdiag.

MOS DEF
0utbreak
Posted - 2007.11.28 15:14:00 - [30]
 

Originally by: DMF KingBob
Edited by: DMF KingBob on 28/11/2007 13:28:12
Bumpmapping is able on SM2
Dynamic Higher Resulution Shadows are able on SM2
Bloomeffect is able on SM2
Higher Polygon Models are able on SM2
Higher Resolution Texture is able on SM2

the only think is HDRR but it is able to use Bloom istead

i do not understand this


If you wouldn't just be a whiner with a ancient system you would've read the DEV blogs and comments and you would know that they allready use shaders longer then supported by SM 2.0 and the shaders will get even more complex in the future.


Pages: [1] 2 3 4

This thread is older than 90 days and has been locked due to inactivity.


 


The new forums are live

Please adjust your bookmarks to https://forums.eveonline.com

These forums are archived and read-only